classification
Title: Fix HTMLParser in unicodeless build
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: 21833 Superseder:
Assigned To: ezio.melotti Nosy List: benjamin.peterson, ezio.melotti, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-06-24 07:25 by serhiy.storchaka, last changed 2014-07-08 15:35 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
htmlparser.patch serhiy.storchaka, 2014-06-24 08:00 review
Messages (5)
msg221417 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 07:25
Proposed patch fixes the HTMLParser module and it's tests for Python built with the --disable-unicode configure option.
msg221419 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-06-24 07:28
You forgot to attach the patch :)
msg221432 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 08:00
Sorry.
msg221764 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-06-28 01:51
I think that Unicode support should be required for HTMLParser.
If you don't want tests to fail in Unicode-less build it would be probably easier to just skip them altogether.
msg222295 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-04 17:21
Agree.
History
Date User Action Args
2014-07-08 15:35:09ezio.melottisetdependencies: + Fix unicodeless build of Python
2014-07-08 15:34:54ezio.melottisetstatus: open -> closed
dependencies: - Fix unicodeless build of Python
stage: patch review -> resolved
2014-07-04 17:21:18serhiy.storchakasetresolution: wont fix
messages: + msg222295
2014-06-28 01:51:33ezio.melottisetmessages: + msg221764
2014-06-24 08:01:03serhiy.storchakasetdependencies: + Fix unicodeless build of Python
2014-06-24 08:00:29serhiy.storchakasetfiles: + htmlparser.patch
keywords: + patch
messages: + msg221432
2014-06-24 07:28:23ezio.melottisetassignee: ezio.melotti
messages: + msg221419
2014-06-24 07:25:43serhiy.storchakacreate